Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class Schedule

    java.lang.Object
      oracle.ias.scheduler.Schedule

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Direct Known Subclasses:
  RepeatingSchedule

public class Schedule
extends java.lang.Object
implements java.io.Externalizable

Single-action schedule used to specify when a timer expiration notification is sent to the associated trigger.

See Also:
  Serialized Form

Field Summary
`protected java.util.Calendar` | `m_expirationDate`

Constructor Summary
`Schedule()` Construct a new Schedule with the default expiration (current time)

Method Summary
`boolean` | `equals(java.lang.Object v)` Indicates whether some object is "equal to" this one.
`java.util.Calendar` | `expected(java.util.Calendar date)` Gets the expected expiration date for this schedule for the date specified.
`java.util.Calendar` | `getEndDate()` Gets the end date of the schedule.
`java.util.Calendar` | `getExpiration()` Gets the expiration for the schedule.
`static int` | `getVersion()` Internal use only.
`int` | `hashCode()` Returns a hash code value for the schedule.
`boolean` | `isFixedDelay()` Gets the fixed-delay status of the schedule.
`boolean` | `isRepeating()` Used to identify a repeating schedule.
`java.util.Calendar` | `next(java.util.Calendar date)` Gets the next date/time at which a timeout should be generated for this schedule accounting for the end date if applicable.
`void` | `readExternal(java.io.ObjectInput in)` Restores the contents of this object from the stream specified.
`void` | `setExpiration(java.util.Calendar date)` Sets the expiration to the date specified.
`void` | `setExpiration(long millis)` Sets the expiration to the value specified.
`java.lang.String` | `toString()` Gets the string representation of this schedule.
`void` | `writeExternal(java.io.ObjectOutput out)` Saves the contents of this object to the stream specified.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_expirationDate

    protected java.util.Calendar m_expirationDate

Constructor Detail

### Schedule

    public Schedule()

  Construct a new Schedule with the default expiration (current time)

Method Detail

### setExpiration

    public void setExpiration(long millis)
                       throws InvalidArgumentException

  Sets the expiration to the value specified.

  Parameters:
    `millis` - Expiration time in milliseconds from the current time.
  Throws:
    `InvalidArgumentException` - if the value specified is less than zero.

### setExpiration

    public void setExpiration(java.util.Calendar date)
                       throws InvalidArgumentException

  Sets the expiration to the date specified.

  Parameters:
    `date` - Date of expiration.
  Throws:
    `InvalidArgumentException` - if the date specified is earlier than the current system time.

### getExpiration

    public java.util.Calendar getExpiration()

  Gets the expiration for the schedule.

  Returns:
    date of expiration if specified, null otherwise.

### isRepeating

    public boolean isRepeating()

  Used to identify a repeating schedule.

  Returns:
    always returns false in this implementation.
  See Also:
    `IntervalSchedule`, `oracle.ias.scheduler.CronIntervalSchedule`

### getEndDate

    public java.util.Calendar getEndDate()

  Gets the end date of the schedule.

  Returns:
    always returns the expiration date in this implementation.
  See Also:
    `IntervalSchedule`, `oracle.ias.scheduler.CronIntervalSchedule`

### isFixedDelay

    public boolean isFixedDelay()

  Gets the fixed-delay status of the schedule.

  Returns:
    always returns false in this implementation.
  See Also:
    `IntervalSchedule`, `oracle.ias.scheduler.CronIntervalSchedule`

### next

    public java.util.Calendar next(java.util.Calendar date)

  Gets the next date/time at which a timeout should be generated for this schedule accounting for the end date if applicable.

  Returns:
    the scheduled expiration, if date is before scheduled expiration and a null if passed
  See Also:
    `IntervalSchedule`, `RecurSchedule`

### expected

    public java.util.Calendar expected(java.util.Calendar date)

  Gets the expected expiration date for this schedule for the date specified.

  Parameters:
    `date` - from which the expected expiration is calculated
  Returns:
    always returns the expiration date in this implementation.

### toString

    public java.lang.String toString()

  Gets the string representation of this schedule. The representation includes the expiration date only.

  Returns:
    string representation of schedule
  See Also:
    `IntervalSchedule.toString()`

### hashCode

    public int hashCode()

  Returns a hash code value for the schedule.

### equals

    public boolean equals(java.lang.Object v)

  Indicates whether some object is "equal to" this one.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Saves the contents of this object to the stream specified.

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Restores the contents of this object from the stream specified.

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### getVersion

    public static int getVersion()

  Internal use only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.